Listar cobranças
curl --request GET \
--url https://api.abacatepay.com/v1/billing/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abacatepay.com/v1/billing/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abacatepay.com/v1/billing/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bill_123456",
"url": "https://pay.abacatepay.com/bill-5678",
"status": "PENDING",
"devMode": true,
"methods": [
"PIX",
"CARD"
],
"products": [
{
"id": "prod_123456",
"externalId": "prod-1234",
"quantity": 2
}
],
"frequency": "ONE_TIME",
"amount": 4000,
"nextBilling": "null",
"customer": {
"id": "bill_123456",
"metadata": {
"name": "Daniel Lima",
"cellphone": "(11) 4002-8922",
"email": "daniel_lima@abacatepay.com",
"taxId": "123.456.789-01"
}
},
"allowCoupons": false,
"coupons": []
}
],
"error": null
}{
"error": "Token de autenticação inválido ou ausente."
}API Reference
Listar cobranças
Permite que você recupere uma lista de todas as cobranças criadas.
GET
/
billing
/
list
Listar cobranças
Was this page helpful?
⌘I